## librecad 1.0.0~beta5

=== fparser/Makefile ===
#
#
# Makefile for fparser
#
#

#
# fparser installation directories
#
#LIBDIR = /usr/local/lib
#INCDIR = /usr/local/include/fparser
VERSION = 2.51

#LIBDIR = $(HOME)/local/lib
#INCDIR = $(HOME)/local/include/fparser

PREFIX ?= /usr

LIBDIR = $(DESTDIR)/$(PREFIX)/lib
INCDIR = $(DESTDIR)/$(PREFIX)/include/fparser

#
#------------------------ do not edit ------------------------
#
SHELL = /bin/sh

CC           = gcc
CXX          = gcc
CFLAGS       = -I./src -g -O2  -I/usr/X11/include -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DUNIX=1 -DSTDC_HEADERS=1 
INSTALL      = /opt/local/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
FIND         = find
MAKEDEPEND   = makedepend
AR           = ar
ARFLAGS      = -rs

BASE_DIR = ./src

BASE_SRC = \
		$(BASE_DIR)/fparser.cpp

BASE_INS = \
		$(BASE_DIR)/fparser.h

SRC = $(BASE_SRC)
OBJ = $(SRC:.cpp=.o)

INS =  $(BASE_INS)

.cpp.o:  
	$(CXX) $(CFLAGS) -c $< -o $@


all: prepare ./lib/libfparser.a

prepare:
	test -d ./include || mkdir -p ./include
	-( cd ./include; rm -f *.h; \
	for hf in `find ../src -name '*.h'`; do \
		if [ "x$$OS" = "xWindows_NT" ]; then \
			cp "$$hf" .; \
		else \
			ln -s "$$hf" 2> /dev/null; \
		fi \
	done )

shared: ./lib/libfparser.so.$(VERSION)
	@echo

./lib/libfparser.a: $(OBJ) 
	test -d ./lib || mkdir ./lib
	$(AR) $(ARFLAGS) ./lib/libfparser.a $(OBJ)

./lib/libfparser.so.$(VERSION): $(OBJ)
	test -d ./lib || mkdir ./lib
	$(CC) -p -shared -o ./lib/libfparser.so.$(VERSION) $(OBJ) -lc -lm
	-(cd ./lib ; ln -s libfparser.so.$(VERSION) libfparser.so)

install: ./lib/libfparser.a
	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
	test -d $(INCDIR) || mkdir -p $(INCDIR)
	$(INSTALL_DATA) ./lib/libfparser.a $(LIBDIR)
	#-(ln -s $(LIBDIR)/libfparser.a $(LIBDIR)/libfparser.a)
	for IFILE in $(INS); do \
		$(INSTALL_DATA) $$IFILE  $(INCDIR); \
	done

install-shared: ./lib/libfparser.so.$(VERSION)
	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
	test -d $(INCDIR) || mkdir -p $(INCDIR)
	#$(INSTALL_DATA) ./lib/libfparser.so.$(VERSION) $(LIBDIR)
	-(ln -s $(LIBDIR)/libfparser.so.$(VERSION) $(LIBDIR)/libfparser.so)
	for IFILE in $(INS); do \
		$(INSTALL_DATA) $$IFILE  $(INCDIR); \
	done

clean:
	-rm -f $(OBJ)
	-rm -f ./lib/lib* Makefile.bak
	-rm -f ./include/fparser/*.h
	-$(FIND) . -name "*~" -exec rm -f {} \;
	-rm -f ./lib/libfparser.$(VERSION).a
  
distclean: clean
	-rm -f Makefile configure

depend:
	$(MAKEDEPEND) -- $(CFLAGS) -- $(SRC)
	@echo
	@echo "Run 'make' to build fparser library."
	@echo

# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== debian/changelog ===
librecad (1.0.0~beta5-0ubuntu1) natty; urgency=low

  * Initial release (LP: #710223)

 -- Scott Howard <showard@debian.org>  Thu, 03 Feb 2011 19:04:09 -0500

=== debian/control ===
Source: librecad
Section: graphics
Priority: optional
Maintainer: Scott Howard <showard@debian.org>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>
Build-Depends: debhelper (>= 8), libqt4-dev
Standards-Version: 3.9.1
Homepage: http://www.librecad.org/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/librecad.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/librecad.git


Package: librecad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librecad-data (= ${source:Version})
Recommends: librecad-doc (= ${source:Version})
Description: Computer-aided design (CAD) system
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D). With LibreCAD you can create technical drawings such as
 plans for buildings, interiors, mechanical parts or schemas and
 diagrams.

Package: librecad-data
Architecture: all
Depends: ${misc:Depends}
Description: Computer-aided design (CAD) system -- shared files
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D).
 .
 This package contains plataform independent files for LibreCAD, including
 fonts, patterns, and interface translations.

Package: librecad-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Computer-aided design (CAD) system -- documentation
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D).
 .
 This package contains documentation for LibreCAD.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	rm -rf unix/
	find . -name *.qm -delete

REVISION=106
VERSION=1.0.0~beta5

get-orig-source:
	rm -fr librecad/ librecad-${VERSION}/ && \
	svn export -r${REVISION} https://librecad.svn.sourceforge.net/svnroot/librecad librecad && \
	mkdir librecad-${VERSION} && \
	cp -a librecad/trunk/* librecad-${VERSION} && \
	rm -f librecad-${VERSION}/dxflib/config.* librecad-${VERSION}/fparser/config.* && \
	tar -czf librecad_${VERSION}.orig.tar.gz librecad-${VERSION} && \
	rm -r librecad/ librecad-${VERSION}/

=== debian/watch ===
# librecad is still in the beta stage: no source tarball has been released yet

## librecad 1.0.0~rc1+nolibs

=== debian/changelog ===
librecad (1.0.0~rc1+nolibs-4) unstable; urgency=low

  * Add libqt4-sql-sqlite as a librecad dependency. This enables users to see
    the help. Thanks Ries van Twisk for the tip.
  * Change schemas to schematics in librecad's description (Closes: #633676).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 31 Jul 2011 15:34:50 -0300

librecad (1.0.0~rc1+nolibs-3) unstable; urgency=low

  [ Scott Howard ]
  * debian/librcad-doc.install
    - Install qt compiled help files
  * debian/patches/debian_fparser.patch
    - Use libdxflib's new includedir to fix a FTBFS

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add qt4-dev-tools as B-D. The tools are used to create the online
    documentation (*.qch and *.qhc).
  * Override dh_compress in order to avoid compressing online help.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 21 Jun 2011 17:14:25 -0300

librecad (1.0.0~rc1+nolibs-2) unstable; urgency=low

  * Use upstreams new icons, .desktop, manpage, and mime info
  * resize_icon_canvas.patch added to use upstream icon in debian

 -- Scott Howard <showard@debian.org>  Sat, 18 Jun 2011 12:21:18 -0400

librecad (1.0.0~rc1+nolibs-1) unstable; urgency=low

  [Lisandro Damián Nicanor Pérez Meyer]
  * New upstream release.
  * Remove patches applied upstream.
    - rs_debug.patch
    - bug#234340.patch
    - qcad-2.0.5.0-latin2.patch
  * Refresh debian-fparser.patch.
  * Update watch file to look for rc tarballs too.

  [Scott Howard]
  * Corrected spelling error s/plataform/platform/ in debian/control
    (LP: #759700)

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Fri, 17 Jun 2011 18:47:13 -0300

librecad (1.0.0~beta5+nolibs-1) unstable; urgency=low

  * Initial release (Closes: #605914)

 -- Scott Howard <showard@debian.org>  Sun, 24 Apr 2011 13:00:22 -0400

=== debian/control ===
Source: librecad
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>,
 Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Build-Depends: debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfparser-dev, libdxflib-dev,
 imagemagick, librsvg2-bin
Standards-Version: 3.9.2
Homepage: http://www.librecad.org/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/librecad.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/librecad.git


Package: librecad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librecad-data (= ${source:Version}),
 libqt4-sql-sqlite
Recommends: librecad-doc (= ${source:Version})
Description: Computer-aided design (CAD) system
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D). With LibreCAD you can create technical drawings such as
 plans for buildings, interiors, mechanical parts or schematics and
 diagrams.

Package: librecad-data
Architecture: all
Depends: ${misc:Depends}
Description: Computer-aided design (CAD) system -- shared files
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D).
 .
 This package contains platform independent files for LibreCAD, including
 fonts, patterns, and interface translations.

Package: librecad-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Computer-aided design (CAD) system -- documentation
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D).
 .
 This package contains documentation for LibreCAD.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	rm -rf unix/
	find . -name *.qm -delete
	rm -f debian/librecad.1 debian/librecad.desktop debian/librecad.sharedmimeinfo debian/librecad.mime debian/librecad.png debian/librecad.xpm debian/librecad.svg support/doc/LibreCADdoc.qch support/doc/LibreCADdoc.qhc

override_dh_auto_configure:
	dh_auto_configure
	cp desktop/librecad* debian
	cp desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.svg
	convert -resize 48x48 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.png
	convert -resize 32x32 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.xpm

override_dh_compress:
	dh_compress -X.qch -X.qhc

VERSION=1.0.0~rc1

get-orig-source:
	uscan --download-current-version --repack --rename && \
	tar -zxf ../librecad_${VERSION}.orig.tar.gz && \
	mv LibreCAD-LibreCAD-673f49a/ librecad && \
	rm -rf librecad/dxflib librecad/fparser && \
	tar -czf ../librecad_${VERSION}+nolibs.orig.tar.gz librecad && \
	rm -rf librecad/ ../librecad_${VERSION}.orig.tar.gz

## librecad 1.0.0~rc4+nolibs

=== debian/changelog ===
librecad (1.0.0~rc4+nolibs-1) unstable; urgency=low

  * New upstream release.
  * Fix missing fonts in upstream tarball (Closes: #644984, #646030).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Oct 2011 22:06:31 -0300

librecad (1.0.0~rc3+nolibs-1) unstable; urgency=low

  * New upstream release.
    - Fixes rounded values (Closes: #640390).
  * Refresh debian-fparser.patch.
  * Remove resizing_icon_canvas.patch, it has been applied upstream.
  * Change my e-mail address.
  * Make get-orig-source work with changing directory names.
  * Build depend on libfxlib-dev >= 2.2.0.0-6 as it fixes a bug needed by
    this version of LibreCAD.
  * This new upstream release removes the documentation and some fonts that
    seemed not free. So we are not shipping the doc package anymore
    (Closes: #644787).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 11 Oct 2011 00:26:25 -0300

=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,12 @@
 override_dh_compress:
 	dh_compress -X.qch -X.qhc
 
-VERSION=1.0.0~rc1
+VERSION=1.0.0~rc4
 
 get-orig-source:
 	uscan --download-current-version --repack --rename && \
 	tar -zxf ../librecad_${VERSION}.orig.tar.gz && \
-	mv LibreCAD-LibreCAD-673f49a/ librecad && \
+	mv LibreCAD-LibreCAD-*/ librecad && \
 	rm -rf librecad/dxflib librecad/fparser && \
 	tar -czf ../librecad_${VERSION}+nolibs.orig.tar.gz librecad && \
 	rm -rf librecad/ ../librecad_${VERSION}.orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+nolibs//,uversionmangle=s/beta/~beta/;s/rc/~rc/ \
http://githubredir.debian.net/github/librecad/librecad/(.*).tar.gz

## librecad 1.0.0+nolibs

=== debian/changelog ===
librecad (1.0.0+nolibs-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Sat, 17 Dec 2011 20:08:57 -0500

=== debian/control ===
Source: librecad
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfparser-dev,
 libdxflib-dev (>= 2.2.0.0-6),
 imagemagick, librsvg2-bin
Standards-Version: 3.9.2
Homepage: http://www.librecad.org/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/librecad.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/librecad.git


Package: librecad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librecad-data (= ${source:Version}),
 libqt4-sql-sqlite
Description: Computer-aided design (CAD) system
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D). With LibreCAD you can create technical drawings such as
 plans for buildings, interiors, mechanical parts or schematics and
 diagrams.

Package: librecad-data
Architecture: all
Depends: ${misc:Depends}
Description: Computer-aided design (CAD) system -- shared files
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D).
 .
 This package contains platform independent files for LibreCAD, including
 fonts, patterns, and interface translations.

## librecad 1.0.1+nolibs

=== debian/changelog ===
librecad (1.0.1+nolibs-2~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze

 -- Scott Howard <showard@debian.org>  Sun, 12 Feb 2012 11:13:01 -0500

librecad (1.0.1+nolibs-2) unstable; urgency=low

  * Remove BD on librsvg2-bin, add BD on libmagickcore-extra
    used when converting upstream's SVG logo to pixmaps during build

 -- Scott Howard <showard@debian.org>  Thu, 09 Feb 2012 21:51:06 -0500

librecad (1.0.1+nolibs-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Sun, 05 Feb 2012 12:55:35 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>,
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfparser-dev,
- libdxflib-dev (>= 2.2.0.0-6),
- imagemagick, librsvg2-bin
+ libdxflib-dev (>= 2.2.0.0-6), imagemagick, libmagickcore-extra
 Standards-Version: 3.9.2
 Homepage: http://www.librecad.org/
 DM-Upload-Allowed: yes

=== debian/watch ===
version=3
opts=dversionmangle=s/\+nolibs//,uversionmangle=s/beta/~beta/;s/rc/~rc/;s/v//;s/alpha/~alpha/ \
http://githubredir.debian.net/github/librecad/librecad/(.*).tar.gz

## librecad 1.0.2+nolibs

=== debian/changelog ===
librecad (1.0.2+nolibs-1) unstable; urgency=low

  * New upstream release.
  * Debian compat bumped to 9 for build hardening (Wheezy Release
    Goal)
  * Refreshed debian/patches/debian-fparser.patch
  * Bumped S-V 3.9.3, no changes

 -- Scott Howard <showard@debian.org>  Mon, 16 Apr 2012 10:49:10 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>,
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfparser-dev,
- libdxflib-dev (>= 2.2.0.0-6), imagemagick, libmagickcore-extra
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libqt4-dev, qt4-dev-tools, libmuparser-dev,
+ libdxflib-dev (>= 2.2.0.0-6), imagemagick, librsvg2-bin
+Standards-Version: 3.9.3
 Homepage: http://www.librecad.org/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/debian-science/packages/librecad.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
+
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
 
 %:
 	dh $@ --parallel
@@ -22,12 +24,10 @@
 override_dh_compress:
 	dh_compress -X.qch -X.qhc
 
-VERSION=1.0.0~rc4
-
 get-orig-source:
 	uscan --download-current-version --repack --rename && \
-	tar -zxf ../librecad_${VERSION}.orig.tar.gz && \
+	tar -zxf ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz && \
 	mv LibreCAD-LibreCAD-*/ librecad && \
 	rm -rf librecad/dxflib librecad/fparser && \
-	tar -czf ../librecad_${VERSION}+nolibs.orig.tar.gz librecad && \
-	rm -rf librecad/ ../librecad_${VERSION}.orig.tar.gz
+	tar -czf ../librecad_${DEB_UPSTREAM_VERSION}+nolibs.orig.tar.gz librecad && \
+	rm -rf librecad/ ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz

## librecad 2.0.0~alpha2+nolibs

=== debian/changelog ===
librecad (2.0.0~alpha2+nolibs-1) experimental; urgency=low

  * New upstream release, experimental developmental
  * Removed dependency on libqt4-sql-sqlite since help is no longer
    included

 -- Scott Howard <showard@debian.org>  Sat, 03 Mar 2012 18:01:31 -0500

librecad (2.0.0~alpha1+nolibs-1) experimental; urgency=low

  * New upstream development release, experimental package.

 -- Scott Howard <showard@debian.org>  Tue, 21 Feb 2012 10:11:37 -0500

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,17 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>,
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, qt4-dev-tools, libmuparser-dev,
- libdxflib-dev (>= 2.2.0.0-6), imagemagick, librsvg2-bin
+Build-Depends: debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfparser-dev,
+ libdxflib-dev (>= 2.2.0.0-8), imagemagick, libmagickcore-extra, libboost-dev, libfreetype6-dev
 Standards-Version: 3.9.3
 Homepage: http://www.librecad.org/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/debian-science/packages/librecad.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/librecad.git
 
-
 Package: librecad
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librecad-data (= ${source:Version}),
- libqt4-sql-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}, librecad-data (= ${source:Version})
 Description: Computer-aided design (CAD) system
  LibreCAD is an application for computer aided design (CAD) in two
  dimensions (2D). With LibreCAD you can create technical drawings such as

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,10 @@
 	dh_clean
 	rm -rf unix/
 	find . -name *.qm -delete
-	rm -f debian/librecad.1 debian/librecad.desktop debian/librecad.sharedmimeinfo debian/librecad.mime debian/librecad.png debian/librecad.xpm debian/librecad.svg support/doc/LibreCADdoc.qch support/doc/LibreCADdoc.qhc
+	rm -rf debian/librecad.1 debian/librecad.desktop debian/librecad.sharedmimeinfo debian/librecad.mime debian/librecad.png debian/librecad.xpm debian/librecad.svg support/doc/LibreCADdoc.qch support/doc/LibreCADdoc.qhc plugins/intermediate
 
 override_dh_auto_configure:
-	dh_auto_configure
+	qmake librecad.pro
 	cp desktop/librecad* debian
 	cp desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.svg
 	convert -resize 48x48 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.png
@@ -28,6 +28,6 @@
 	uscan --download-current-version --repack --rename && \
 	tar -zxf ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz && \
 	mv LibreCAD-LibreCAD-*/ librecad && \
-	rm -rf librecad/dxflib librecad/fparser && \
+	rm -rf librecad/libraries/dxflib librecad/libraries/fparser && \
 	tar -czf ../librecad_${DEB_UPSTREAM_VERSION}+nolibs.orig.tar.gz librecad && \
 	rm -rf librecad/ ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz

## librecad 2.0.0~rc2+nolibs

=== debian/changelog ===
librecad (2.0.0~rc2+nolibs-1) experimental; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Fri, 13 Sep 2013 21:52:29 -0400

librecad (2.0.0~beta2+nolibs-1) experimental; urgency=low

  * New beta release.

 -- Scott Howard <showard@debian.org>  Mon, 25 Feb 2013 12:41:01 -0500

librecad (2.0.0~beta1+nolibs-1) experimental; urgency=low

  * Install new docs (LP: #1055937)
  * Drop dependency on libdxflib-dev, no longer needed
  * New beta release

 -- Scott Howard <showard@debian.org>  Wed, 24 Oct 2012 17:01:07 -0400

librecad (2.0.0~alpha4+nolibs-1) experimental; urgency=low

  * Enabled build hardening through dh_auto_configure
  * New upstream release

 -- Scott Howard <showard@debian.org>  Mon, 02 Jul 2012 19:17:55 -0400

librecad (2.0.0~alpha3+nolibs-1) experimental; urgency=low

  * New upstream release
  * Refreshed patches
  * Debian compat 9 for build hardening (Wheezy release goal)

 -- Scott Howard <showard@debian.org>  Mon, 16 Apr 2012 13:09:32 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>,
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 8), libqt4-dev, qt4-dev-tools, libfparser-dev,
- libdxflib-dev (>= 2.2.0.0-8), imagemagick, libmagickcore-extra, libboost-dev, libfreetype6-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libqt4-dev, qt4-dev-tools, libmuparser-dev,
+ imagemagick, librsvg2-bin, libboost-dev, libfreetype6-dev, libicu-dev,
+ pkg-config
+Standards-Version: 3.9.4
 Homepage: http://www.librecad.org/
-DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/debian-science/packages/librecad.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/librecad.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	rm -rf unix/
	find . -name *.qm -delete
	rm -rf debian/librecad.1 debian/librecad.desktop debian/librecad.sharedmimeinfo debian/librecad.mime debian/librecad.png debian/librecad.xpm debian/librecad.svg librecad/support/doc/LibreCADdoc.qch librecad/support/doc/LibreCADdoc.qhc plugins/intermediate generated/

override_dh_auto_configure:
	dh_auto_configure -- librecad.pro
	cp desktop/librecad* debian
	cp desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.svg
	convert -resize 48x48 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.png
	convert -resize 32x32 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.xpm

override_dh_compress:
	dh_compress -X.qch -X.qhc

get-orig-source:
	uscan --download-current-version --repack --rename && \
	tar -zxf ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz && \
	mv LibreCAD-*/ librecad-${DEB_UPSTREAM_VERSION} && \
	rm -rf librecad/libraries-${DEB_UPSTREAM_VERSION}/dxflib && \
	tar -czf ../librecad_${DEB_UPSTREAM_VERSION}+nolibs.orig.tar.gz librecad-${DEB_UPSTREAM_VERSION} && \
	rm -rf librecad-${DEB_UPSTREAM_VERSION}/ ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz

## librecad 2.0.2+nolibs

=== debian/changelog ===
librecad (2.0.2+nolibs-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Mon, 27 Jan 2014 11:41:50 -0500

librecad (2.0.1+nolibs-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Fri, 17 Jan 2014 15:15:24 -0500

librecad (2.0.0+nolibs-1) unstable; urgency=low

  * New upstream release
  * Debian S-V 3.9.5, no changes

 -- Scott Howard <showard@debian.org>  Mon, 30 Dec 2013 12:17:45 -0500

librecad (2.0.0~rc3+nolibs-1) unstable; urgency=low

  * Merge from experimental to unstable.
  * New upstream release.

 -- Scott Howard <showard@debian.org>  Mon, 09 Dec 2013 23:29:24 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9), libqt4-dev, qt4-dev-tools, libmuparser-dev,
  imagemagick, librsvg2-bin, libboost-dev, libfreetype6-dev, libicu-dev,
  pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.librecad.org/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/librecad.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/librecad.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 # export DH_VERBOSE=1
 
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
+
+# Fixes some FTBFS, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=730423
+# and http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=726989
+XDG_CONFIG_DIRS := $(shell echo $(XDG_CONFIG_DIRS)):/usr/lib/$(DEB_HOST_MULTIARCH)
+export XDF_CONFIG_DIRS
 
 %:
 	dh $@ --parallel
@@ -24,6 +29,10 @@
 override_dh_compress:
 	dh_compress -X.qch -X.qhc
 
+copyright_check:
+	$(MAKE) -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
+	rm debian/stamp-copyright-check
+
 get-orig-source:
 	uscan --download-current-version --repack --rename && \
 	tar -zxf ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz && \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+nolibs//,uversionmangle=s/beta/~beta/;s/rc/~rc/;s/v//;s/alpha/~alpha/ \
http://github.com/LibreCAD/LibreCAD/tags archive/(.*)\.tar\.gz

## librecad 2.0.4

=== debian/changelog ===
librecad (2.0.4-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-19105:
    A vulnerability was found in LibreCAD, a computer-aided design system,
    which could be exploited to crash the application or cause other
    unspecified impact when opening a specially crafted file.

 -- Markus Koschany <apo@debian.org>  Sun, 05 May 2019 21:00:57 +0200

librecad (2.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Mon, 23 Jun 2014 21:52:19 -0400

librecad (2.0.3-2) unstable; urgency=low

  * debian/rules - don't use c++11 in Precise (Ubuntu 12.04)

 -- Scott Howard <showard@debian.org>  Wed, 23 Apr 2014 16:01:06 -0400

librecad (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Thu, 03 Apr 2014 15:49:37 -0400

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,17 @@
 	dh_clean
 	rm -rf unix/
 	find . -name *.qm -delete
-	rm -rf debian/librecad.1 debian/librecad.desktop debian/librecad.sharedmimeinfo debian/librecad.mime debian/librecad.png debian/librecad.xpm debian/librecad.svg librecad/support/doc/LibreCADdoc.qch librecad/support/doc/LibreCADdoc.qhc plugins/intermediate generated/
+	rm -rf debian/librecad.1 debian/librecad.desktop \
+           debian/librecad.sharedmimeinfo debian/librecad.mime \
+           debian/librecad.png debian/librecad.xpm debian/librecad.svg \
+           librecad/support/doc/LibreCADdoc.qch \
+           librecad/support/doc/LibreCADdoc.qhc plugins/intermediate \
+           generated/ custom.pro
 
 override_dh_auto_configure:
+	if grep -q precise /etc/lsb-release;\
+	 then echo "CXX_CPP11_FLAG = -std=c++0x" > custom.pro;\
+	fi
 	dh_auto_configure -- librecad.pro
 	cp desktop/librecad* debian
 	cp desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.svg
@@ -34,9 +42,4 @@
 	rm debian/stamp-copyright-check
 
 get-orig-source:
-	uscan --download-current-version --repack --rename && \
-	tar -zxf ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz && \
-	mv LibreCAD-*/ librecad-${DEB_UPSTREAM_VERSION} && \
-	rm -rf librecad/libraries-${DEB_UPSTREAM_VERSION}/dxflib && \
-	tar -czf ../librecad_${DEB_UPSTREAM_VERSION}+nolibs.orig.tar.gz librecad-${DEB_UPSTREAM_VERSION} && \
-	rm -rf librecad-${DEB_UPSTREAM_VERSION}/ ../librecad_${DEB_UPSTREAM_VERSION}.orig.tar.gz
+	uscan --download-current-version --repack --rename

## librecad 2.0.8

=== debian/changelog ===
librecad (2.0.8-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 02 Mar 2016 11:40:04 -0800

librecad (2.0.8-1) unstable; urgency=medium

  * New upstream release
  * Updated uploaders (Closes: #780790)
  * DSV 3.9.6, no changes

 -- Scott Howard <showard@debian.org>  Sat, 29 Aug 2015 22:35:57 -0400

=== debian/control ===
Source: librecad
Section: graphics
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>
Build-Depends: debhelper (>= 9),
 libqt4-dev,
 qt4-dev-tools,
 libmuparser-dev,
 imagemagick,
 librsvg2-bin,
 libboost-dev,
 libfreetype6-dev,
 libicu-dev,
 pkg-config
Standards-Version: 3.9.6
Homepage: http://www.librecad.org/
Vcs-Git: git://git.debian.org/git/debian-science/packages/librecad.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/librecad.git

Package: librecad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librecad-data (= ${source:Version})
Description: computer-aided design (CAD) system
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D). With LibreCAD you can create technical drawings such as
 plans for buildings, interiors, mechanical parts or schematics and
 diagrams.

Package: librecad-data
Architecture: all
Depends: ${misc:Depends}
Description: Computer-aided design (CAD) system -- shared files
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D).
 .
 This package contains platform independent files for LibreCAD, including
 fonts, patterns, and interface translations.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
+export QT_SELECT=qt4
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
 
 # Fixes some FTBFS, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=730423

## librecad 2.0.9

=== debian/changelog ===
librecad (2.0.9-2) unstable; urgency=medium

  * debian/patches/remove_qt4_docs_postprocess.patch
    - Don't ship docs (unmaintained)
    - use qt5's lrelease
  * Remove unmainted docs from
    - debian/librecad-data.links
    - debian/librecad.install

 -- Scott Howard <showard@debian.org>  Wed, 16 Mar 2016 10:47:25 -0400

librecad (2.0.9-1) unstable; urgency=medium

  * New upstream release (LP: #1540925)
    - add dependencies on qt5 packages, use qtchooser by
      setting QT_SELECT = 5
  * Updated debian/copyright (new file locations)
  * Lintian cleaning:
    - Remove .menu in favor of .desktop
    - DSV 3.9.7 no changes
    - Fix Vcs- links (secure and cannonical)

 -- Scott Howard <showard@debian.org>  Tue, 15 Mar 2016 12:15:10 -0400

=== debian/control ===
Source: librecad
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>
Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5svg5-dev, qttools5-dev,
 qtchooser, qttools5-dev-tools, libmuparser-dev, imagemagick, librsvg2-bin,
 libboost-dev, libfreetype6-dev, libicu-dev, pkg-config
Standards-Version: 3.9.7
Homepage: http://www.librecad.org/
Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/librecad.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/librecad.git/

Package: librecad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librecad-data (= ${source:Version})
Description: Computer-aided design (CAD) system
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D). With LibreCAD you can create technical drawings such as
 plans for buildings, interiors, mechanical parts or schematics and
 diagrams.

Package: librecad-data
Architecture: all
Depends: ${misc:Depends}
Description: Computer-aided design (CAD) system -- shared files
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D).
 .
 This package contains platform independent files for LibreCAD, including
 fonts, patterns, and interface translations.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,9 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-export QT_SELECT=qt4
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
 
-# Fixes some FTBFS, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=730423
-# and http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=726989
-XDG_CONFIG_DIRS := $(shell echo $(XDG_CONFIG_DIRS)):/usr/lib/$(DEB_HOST_MULTIARCH)
-export XDF_CONFIG_DIRS
+export QT_SELECT = 5
 
 %:
 	dh $@ --parallel
@@ -26,9 +22,6 @@
            generated/ custom.pro
 
 override_dh_auto_configure:
-	if grep -q precise /etc/lsb-release;\
-	 then echo "CXX_CPP11_FLAG = -std=c++0x" > custom.pro;\
-	fi
 	dh_auto_configure -- librecad.pro
 	cp desktop/librecad* debian
 	cp desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.svg

## librecad 2.1.2

=== debian/changelog ===
librecad (2.1.2-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS due to write access violation in libdxfrw
    - debian/patches/CVE-2018-19105.patch: prevent write access
      violation when a malicious DXF is read in
      libraries/libdxfrw/src/drw_header.cpp and
      libraries/libdxfrw/src/libdxfrw.cpp.
    - CVE-2018-19105
  * SECURITY UPDATE: code execution due to heap overflow in copyCompBytes18
    - debian/patches/CVE-2021-21898.patch: perform bound checking when
      processing a DWG file through dwgCompressor::decompress18 in
      src/intern/dwgreader18.cpp, src/intern/dwgreader18.h,
      src/intern/dwgutil.cpp and src/intern/dwgutil.h.
    - CVE-2021-21898
  * SECURITY UPDATE: code execution due to heap overflow in copyCompBytes21
    - debian/patches/CVE-2021-21899.patch: perform bound checking when
      processing a DWG file through dwgCompressor::decompress21 in
      src/intern/dwgreader21.cpp, src/intern/dwgutil.cpp and
      src/intern/dwgutil.h.
    - CVE-2021-21899
  * SECURITY UPDATE: heap use-after-free in DRW_TableEntry::parseCode
    - debian/patches/CVE-2021-21900.patch: allow any coordinate order
      in when processing a DRW file through DRW_TableEntry::parseCode
      in src/drw_objects.cpp and src/drw_objects.h.
    - CVE-2021-21900
  * SECURITY UPDATE: code execution due to stack overflow in CDataMoji
    - debian/patches/CVE-2021-45341.patch: perform bound checking
      when processing JWW files in libraries/jwwlib/src/jwwdoc.h.
    - CVE-2021-45341
  * SECURITY UPDATE: code execution due to stack overflow in CDataList
    - debian/patches/CVE-2021-45342.patch: perform bound checking
      when processing JWW files in libraries/jwwlib/src/jwwdoc.h.
    - CVE-2021-45342
  * SECURITY UPDATE: DoS due to NULL pointer dereference in DXF parser
    - debian/patches/CVE-2021-45343.patch: add NULL check when
      handling hatch code 93 in
      libraries/libdxfrw/src/drw_entities.cpp.
    - CVE-2021-45343

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Mon, 13 Mar 2023 09:44:40 +0100

librecad (2.1.2-1) unstable; urgency=medium

  * New upstream release
    - Updated debian/watch, debian/rules get-orig-source, and
      debian/copyright
  * Removed all patches except debian_build.patch (accepted upstream)

 -- Scott Howard <showard@debian.org>  Sat, 17 Sep 2016 09:53:14 -0400

librecad (2.0.9-3) unstable; urgency=medium

  * boost_gcc6_includes.patch, remove /usr/include if found by
    qmake (Closes: #831189) 
  * DSV 3.9.8 (no changes)

 -- Scott Howard <showard@debian.org>  Thu, 04 Aug 2016 17:12:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: librecad
 Section: graphics
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>
 Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5svg5-dev, qttools5-dev,
  qtchooser, qttools5-dev-tools, libmuparser-dev, imagemagick, librsvg2-bin,
  libboost-dev, libfreetype6-dev, libicu-dev, pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.librecad.org/
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/librecad.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/librecad.git/

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,7 @@
 	rm -rf debian/librecad.1 debian/librecad.desktop \
            debian/librecad.sharedmimeinfo debian/librecad.mime \
            debian/librecad.png debian/librecad.xpm debian/librecad.svg \
-           librecad/support/doc/LibreCADdoc.qch \
-           librecad/support/doc/LibreCADdoc.qhc plugins/intermediate \
+           plugins/intermediate \
            generated/ custom.pro
 
 override_dh_auto_configure:
@@ -28,12 +27,9 @@
 	convert -resize 48x48 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.png
 	convert -resize 32x32 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.xpm
 
-override_dh_compress:
-	dh_compress -X.qch -X.qhc
-
 copyright_check:
 	$(MAKE) -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
 	rm debian/stamp-copyright-check
 
 get-orig-source:
-	uscan --download-current-version --repack --rename
+	uscan --download-current-version

## librecad 2.1.3

=== debian/changelog ===
librecad (2.1.3-1.2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:30 +0100

librecad (2.1.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2018-19105:
    A vulnerability was found in LibreCAD, a computer-aided design system,
    which could be exploited to crash the application or cause other
    unspecified impact when opening a specially crafted file. (Closes: #928477)

 -- Markus Koschany <apo@debian.org>  Thu, 16 May 2019 13:11:05 +0200

librecad (2.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with Qt 5.11,
    thanks to Reiner Herrmann. (Closes: #906761)

 -- Adrian Bunk <bunk@debian.org>  Mon, 17 Sep 2018 20:23:30 +0300

librecad (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bumped to Standards-Version 4.1.3.
    + Added librecad-data Multi-Arch field on debian/control.
    + Bumped to debhelper and compat level to 11.
    - Removed parallel argument to dh on debian/rules.
  * Write secure URI on debian/watch file.
  * Changed Vcs-Git and Vcs-Browser fields to salsa repository on
    debian/control.
  * Added hardering flags on debian/rules.
  * Added keywords field on desktop file with a patch.
  * Secure URI and updated year on debian/copyright.
  * Updated uploaders.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 24 Mar 2018 17:39:10 +0100

=== debian/control ===
Source: librecad
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>,
  Innocent De Marchi <tangram.peces@gmail.com>
Build-Depends: debhelper (>= 11), qtbase5-dev, libqt5svg5-dev, qttools5-dev,
 qtchooser, qttools5-dev-tools, libmuparser-dev, imagemagick, librsvg2-bin,
 libboost-dev, libfreetype6-dev, libicu-dev, pkg-config
Standards-Version: 4.1.3
Homepage: http://www.librecad.org/
Vcs-Git: https://salsa.debian.org/science-team/librecad.git
Vcs-Browser: https://salsa.debian.org/science-team/librecad

Package: librecad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librecad-data (= ${source:Version})
Description: Computer-aided design (CAD) system
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D). With LibreCAD you can create technical drawings such as
 plans for buildings, interiors, mechanical parts or schematics and
 diagrams.

Package: librecad-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Computer-aided design (CAD) system -- shared files
 LibreCAD is an application for computer aided design (CAD) in two
 dimensions (2D).
 .
 This package contains platform independent files for LibreCAD, including
 fonts, patterns, and interface translations.

## librecad 2.1.3.1

=== debian/changelog ===
librecad (2.1.3.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>  Thu, 28 Jan 2021 17:06:50 +0800

## librecad 2.2.0

=== debian/changelog ===
librecad (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.0 (Closes: #1026440)
  * Update debian/copyright
  * Drop patches merged upstream
  * Update std-ver to 4.6.1, no changes required

 -- Aron Xu <aron@debian.org>  Mon, 26 Dec 2022 18:05:35 +0800

librecad (2.1.3-3) unstable; urgency=medium

  * Team upload.
  * Add patches for CVE-2021-45341, CVE-2021-45342, CVE-2021-45343

 -- Aron Xu <aron@debian.org>  Sun, 30 Jan 2022 20:47:48 +0800

librecad (2.1.3-2) unstable; urgency=medium

  * Team upload.
  * Apply patches for following CVEs, thanks to Sylvain Beucler <beuc>
  - CVE-2021-21898: A code execution vulnerability exists in the
    dwgCompressor::decompress18() functionality of LibreCad libdxfrw. A
    specially-crafted .dwg file can lead to an out-of-bounds write.
  - CVE-2021-21899: A code execution vulnerability exists in the
    dwgCompressor::copyCompBytes21 functionality of LibreCad libdxfrw. A
    specially-crafted .dwg file can lead to a heap buffer overflow.
  - CVE-2021-21900: A code execution vulnerability exists in the
    dxfRW::processLType() functionality of LibreCad libdxfrw. A
    specially-crafted .dxf file can lead to a use-after-free
    vulnerability.

 -- Aron Xu <aron@debian.org>  Sun, 30 Jan 2022 18:44:04 +0800

librecad (2.1.3-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with Qt 5.15. (Closes: #975160)

 -- Adrian Bunk <bunk@debian.org>  Fri, 29 Jan 2021 01:22:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11), qtbase5-dev, libqt5svg5-dev, qttools5-dev,
  qtchooser, qttools5-dev-tools, libmuparser-dev, imagemagick, librsvg2-bin,
  libboost-dev, libfreetype6-dev, libicu-dev, pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.6.1
 Homepage: http://www.librecad.org/
 Vcs-Git: https://salsa.debian.org/science-team/librecad.git
 Vcs-Browser: https://salsa.debian.org/science-team/librecad

## librecad 2.2.0.2

=== debian/changelog ===
librecad (2.2.0.2-2) unstable; urgency=medium

  * Team upload.
  * Fix d/watch file to detect 2.2.1.2 correctly, use v5 template feature
  * Remove broken CDBS rule
  * Replace obsolete pkg-config with pkgconf

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Sep 2025 17:41:17 +0200

librecad (2.2.0.2-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Remove Innocent from Uploaders (Closes: #922906)

  [ Aron Xu ]
  * Team upload.
  * New upstream version 2.2.0.2 (CVE-2023-30259)

 -- Aron Xu <aron@debian.org>  Wed, 27 Dec 2023 15:30:49 +0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Scott Howard <showard@debian.org>, Ruben Molina <rmolina@udea.edu.co>,
-  Innocent De Marchi <tangram.peces@gmail.com>
 Build-Depends: debhelper (>= 11), qtbase5-dev, libqt5svg5-dev, qttools5-dev,
  qtchooser, qttools5-dev-tools, libmuparser-dev, imagemagick, librsvg2-bin,
- libboost-dev, libfreetype6-dev, libicu-dev, pkg-config
-Standards-Version: 4.6.1
+ libboost-dev, libfreetype-dev, libicu-dev, pkgconf
+Standards-Version: 4.7.2
 Homepage: http://www.librecad.org/
 Vcs-Git: https://salsa.debian.org/science-team/librecad.git
 Vcs-Browser: https://salsa.debian.org/science-team/librecad

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,14 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
+include /usr/share/dpkg/pkg-info.mk
+DEB_UPSTREAM_VERSION=$DEB_{SOURCE,VERSION}
 
 export QT_SELECT = 5
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_clean:
 	dh_clean
@@ -26,10 +28,3 @@
 	cp desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.svg
 	convert -resize 48x48 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.png
 	convert -resize 32x32 desktop/graphics_icons_and_splash/Icon\ LibreCAD/Icon_Librecad.svg debian/librecad.xpm
-
-copyright_check:
-	$(MAKE) -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
-	rm debian/stamp-copyright-check
-
-get-orig-source:
-	uscan --download-current-version

=== debian/watch ===
Version: 5

Template: GitHub
Owner: LibreCAD
Project: LibreCAD
UVersion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/
